TextToSpeechTyping(3dtk)

Name

TextToSpeechTyping - Speaks a single letter as quickly as possible, aborting any previously queued speech.

Syntax
    void TextToSpeechTyping (LPTTS_HANDLE_T phTTS,
                            char cLetter)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

char cLetter
    Specifies the letter to speak.

Description

This function speaks a single letter as quickly as possible, aborting any previously queued speech. The function is somewhat slower if TextToSpeechSpeak() was called since the last TextToSpeechTyping() or TextToSpeechReset() call.

This function is primarily useful with Access32 versions of DECtalk Software. The function exists in non-Access32 versions, but is not fast.

TextToSpeechTyping() should be called only when synthesizing directly to an audio device (not to memory or to a file).

See Also

TextToSpeechReset(3dtk), TextToSpeechSpeak(3dtk)